Subject: Re: linux-next: build failure after merge of the mhi tree

From: Manivannan Sadhasivam <[email-masked]>
Date: Mon, 28 Sep 2020 22:34:04 +0530

On Mon, Sep 28, 2020 at 07:45:37PM +0300, Kalle Valo wrote:
> Manivannan Sadhasivam <[email-masked]> writes:
> 
> > On Mon, Sep 28, 2020 at 12:34:40PM +0300, Kalle Valo wrote:
> >> Manivannan Sadhasivam <[email-masked]> writes:
> >> 
> >> > On Mon, Sep 28, 2020 at 06:42:30PM +1000, Stephen Rothwell wrote:
> >> >> Hi all,
> >> >> 
> >> >> After merging the mhi tree, today's linux-next build (x86_64 allmodconfig)
> >> >> failed like this:
> >> >> 
> >> >> drivers/net/wireless/ath/ath11k/mhi.c:27:4: error: 'struct
> >> >> mhi_channel_config' has no member named 'auto_start'
> >> >>    27 |   .auto_start = false,
> >> >>       |    ^~~~~~~~~~
> >> >> drivers/net/wireless/ath/ath11k/mhi.c:42:4: error: 'struct
> >> >> mhi_channel_config' has no member named 'auto_start'
> >> >>    42 |   .auto_start = false,
> >> >>       |    ^~~~~~~~~~
> >> >> drivers/net/wireless/ath/ath11k/mhi.c:57:4: error: 'struct
> >> >> mhi_channel_config' has no member named 'auto_start'
> >> >>    57 |   .auto_start = true,
> >> >>       |    ^~~~~~~~~~
> >> >> drivers/net/wireless/ath/ath11k/mhi.c:72:4: error: 'struct
> >> >> mhi_channel_config' has no member named 'auto_start'
> >> >>    72 |   .auto_start = true,
> >> >>       |    ^~~~~~~~~~
> >> >> 
> >> >> Caused by commit
> >> >> 
> >> >>   ed39d7816885 ("bus: mhi: Remove auto-start option")
> >> >> 
> >> >> interacting with commit
> >> >> 
> >> >>   1399fb87ea3e ("ath11k: register MHI controller device for QCA6390")
> >> >> 
> >> >> from the net-next tree.
> >> >> 
> >> >> I applied the following merge fix patch, but maybe more is required.
> >> >> Even if so, this could be fixed now in the net-next tree.
> >> >> 
> >> >> From: Stephen Rothwell <[email-masked]>
> >> >> Date: Mon, 28 Sep 2020 18:39:41 +1000
> >> >> Subject: [PATCH] fix up for "ath11k: register MHI controller device for QCA6390"
> >> >> 
> >> >> Signed-off-by: Stephen Rothwell <[email-masked]>
> >> >
> >> > Sorry, I forgot to submit a patch against net-next for fixing this while merging
> >> > the MHI change.
> >> 
> >> Try to notify the ath11k list (CCed) whenever changing MHI API so that
> >> we (ath11k folks) can be prepared for any major changes.
> >> 
> >
> > Okay sure, will do!
> 
> Thanks. It's important that ath11k is taken into account while making
> changes to MHI, otherwise there can easily be regressions.
> 

I completely agree. Actually I thought about holding that patch till next
release and making the ath11k change together but somehow I applied that
patch blindly, my bad :(

> I was looking at commit ed39d7816885 ("bus: mhi: Remove auto-start
> option") and noticed this in the commit log:
> 
>     This is really up to the MHI device(channel) driver to manage the state
>     of its channels.
> 
> So does this mean we have to make changes in ath11k to accomodate this?

Nope. The change is needed in the MHI client driver like qrtr which is already
taken care: https://lkml.org/lkml/2020/9/28/30

Will make sure to include ath11k list for any future API changes.

Thanks,
Mani

> I haven't tested linux-next yet.
> 
> -- 
> https://patchwork.kernel.org/project/linux-wireless/list/
> 
> https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches